Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoDirectionalLight Class Reference
[Nodes]

`#include <Inventor/nodes/SoDirectionalLight.h>`

Inheritance diagram for SoDirectionalLight:

List of all members.

## Detailed Description

The SoDirectionalLight class is a node type for specifying directional light sources.

A directional light source provides a model of light sources which are at infinite distance from the geometry it illuminates, thereby having no set position and consisting of an infinite volume of parallel rays.

This is of course a simplified model of far-away light sources, as "infinite distance" is impossible.

The sun shining on objects on earth is a good example of something which can be modeled rather well for the most common purposes with a directional light source.

See also documentation of parent class for important information regarding light sources in general.

## Public Member Functions
| SoDirectionalLight (void)
virtual void | GLRender (SoGLRenderAction *action)
## Static Public Member Functions
void | initClass (void)
## Public Attributes
SoSFVec3f | direction
## Protected Member Functions
virtual | ~SoDirectionalLight ()

## Constructor & Destructor Documentation

SoDirectionalLight::SoDirectionalLight | ( | void |  | ) |

| Constructor.

SoDirectionalLight::~SoDirectionalLight | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoDirectionalLight::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoLight. Reimplemented in SoDirectionalLightManip.

void SoDirectionalLight::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoNode. Reimplemented in SoDirectionalLightManip.

## Member Data Documentation

SoSFVec3f SoDirectionalLight::direction

| The direction of the light source. Defaults to pointing along the negative z-axis.

The documentation for this class was generated from the following files:

- SoDirectionalLight.h
- SoDirectionalLight.cpp